QGIS Application - Bug report #12442
QGIS Server 2.8.1 does not work anymore under Windows
2015-03-24 01:00 PM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: QGIS Server

Affected QGIS version:2.8.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 20611
Description

After installing qgis server under Windows/Osgeo4w the result is "internal server error".

The apache log says

[Tue Mar 24 19:58:30 2015] [warn] [client 127.0.0.1] (OS 109)The pipe has been ended. : mod_fcgid: get overlap result error
[Tue Mar 24 19:58:30 2015] [error] [client 127.0.0.1] Premature end of script headers: qgis_mapserv.fcgi.exe

History

#1 - 2015-03-24 01:54 PM - Jiirgen Fischer
- Resolution set to invalid
- Status changed from Open to Closed

Set PYTHONHOME to %OSGEO4W_ROOT%/apps/python27

#2 - 2015-03-25 12:07 AM - Giovanni Manghi

Jurgen Fischer wrote:

Set PYTHONHOME to %OSGEO4W _ROOT%/apps/python27

ok it worked, but the apache configuration file will be updated in the osgeo4w installer or is something that will be needed to always do manually? cheers!

#3 - 2015-03-25 12:53 AM - Giovanni Manghi

Note for others who may encounter this issue.

The line to add is

DefaultinitEnv PY THONHOME "C:/OSGeo4W/apps/python27"

c:\\osgeodw\\httpd.d\\httpd_qgis.conf
